# 32/64bit spec-file
#
Name:           pangzero
Version:        1.3
Release:        %mkrel 1

Summary:        A clone and enhancement of Super Pang
Group:          Games/Arcade
License:        GPLv2
URL:            http://apocalypse.rulez.org/pangzero
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.xz
Patch0:         pangzero-1.2-nowin32.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:      noarch
BuildRequires:  desktop-file-utils
BuildRequires:  lame
BuildRequires:  perl-SDL 
BuildRequires:  vorbis-tools


%description
Pang Zero is a clone and enhancement of Super Pang, a fast-paced action game
that involves popping balloons with a harpoon. Currently up to 6 people can
play together.


%prep
%setup -q
%patch0 -p1

# data 
sed -i 's|$::DataDir = '`echo -e "\047\047"`'|$::DataDir = '`echo -e "\047%{_datadir}/%{name}\047"`'|' bin/pangzero

# Convert audio
lame --silent --decode data/UPiPang.mp3 - | oggenc -Q - -o data/UPiPang.ogg ||:

# Use ogg instead of mp3
sed -i 's|UPiPang.mp3|UPiPang.ogg|' bin/pangzero


%build
%configure2_5x

%make 



%install
rm -rf %{buildroot}
%makeinstall_std

install -m0644 data/UPiPang.ogg %{buildroot}%{_datadir}/%{name}

# menu-entry
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Pang Zero
GenericName=Super Pang Clone
Comment=A clone and enhancement of Super Pang
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;ArcadeGame;X-MandrivaLinux-MoreApplications-Games-Arcade;
EOF
  
#icon                   
mkdir -p %{buildroot}%{_datadir}/pixmaps
install -m0644 data/icon.png \
%{buildroot}%{_datadir}/pixmaps/%{name}.png


%clean
rm -rf %{buildroot}


%post
%{update_menus}



%postun
%{clean_menus}



%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_bindir}/pangzero
%{_datadir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop
%exclude %{_datadir}/%{name}/UPiPang.mp3
%exclude %{_datadir}/%{name}/icon.ico


%changelog
* Sun Mar 03 2013 Ken <lxgator@gmail.com> 1.3-1pclos2013
- first build
